Subject: [salud] Call priorities

From: "Worley, Dale R (Dale)" <[email-masked]>
Date: Thu, 29 Sep 2011 15:38:19 -0400

I'm wondering if Keith or someone else with PSTN experience knows
whether SS7 has priority indications for calls, and if so, what the
priority levels are?

RFC 3261 defines a Priority header with values "non-urgent", "normal",
"urgent", and "emergency".  The values seem to have come from RFC 1327
(Mapping between X.400 and RFC 822 e-mail).  It would be convenient if
they matched any priority scheme the PSTN uses.

Dale

---

From: "DRAGE, Keith (Keith)" <[email-masked]>
Date: Thu, 29 Sep 2011 21:58:23 +0200

Depends what you mean by priority.

There is no standardized equivalent in the PSTN/ISDN to the Priority header field in SIP, which only gives any indication of a special type of call at the end device, and no support in the communication path. There are national ISUP CPC and OLI values that may give a special indication of a type of call (e.g. Operator) that might result in a special display to an endpoint, which implicitly implies some priority - the CPC or OLI value itself does not exist outside ISUP.

There is the Signal information element in DSS1 (which may not be implemented in all ISDNs - it never formed part of European ISDN) which gives a stimulus type of information as follows:

	0 0 0 0 0 0 0 1		Ring back tone on
	0 0 0 0 0 0 1 0		Intercept tone on
	0 0 0 0 0 0 1 1		Network congestion tone on
	0 0 0 0 0 1 0 0		Busy tone on
	0 0 0 0 0 1 0 1		Confirm tone on
	0 0 0 0 0 1 1 0		Answer tone on
	0 0 0 0 0 1 1 1		Call waiting tone
	0 0 0 0 1 0 0 0		Off-hook warning tone
	0 0 0 0 1 0 0 1		Pre-emption tone on
	0 0 1 1 1 1 1 1		Tones off
	0 1 0 0 0 0 0 0		Alerting on - pattern 0 (Note 1)
	0 1 0 0 0 0 0 1		Alerting on - pattern 1 (Note 1)
	0 1 0 0 0 0 1 0		Alerting on - pattern 2 (Note 2)
	0 1 0 0 0 0 1 1		Alerting on - pattern 3 (Note 1)
	0 1 0 0 0 1 0 0		Alerting on - pattern 4 (Note 1)
	0 1 0 0 0 1 0 1		Alerting on - pattern 5 (Note 1)
	0 1 0 0 0 1 1 0		Alerting on - pattern 6 (Note 1)
	0 1 0 0 0 1 1 1		Alerting on - pattern 7 (Note 1)
	0 1 0 0 1 1 1 1		Alerting off

In national ISUP, CPC values are used to give an very limited equivalent of the Resource-Priority header field. There is also an MLPP service which again provides something similar to the Resource-Priority header field.

Regards

Keith

> -----Original Message-----
> From: Worley, Dale R (Dale) [mailto:[email-masked]]
> Sent: 29 September 2011 20:38
> To: [email-masked]; DRAGE, Keith (Keith)
> Subject: Call priorities
>